Unable to Connect to OctoPi after Hard Shutdown

What is the problem?

OctoPi webcam froze up during a print and upon refreshing the page I was unable to receive any reply from the octopi.local. The print finished at the end with no G-Code scripts firing after (the hot end stopped at the end of the print still on the print, staying hot while the bed was cooling down). I shut down the OctoPi by unplugging the power source and then plugging it back in after 30 seconds.

What did you already try to solve it?

Tried SSHing in to the Pi and it connects but when I attempt to find the OctoPrint process I get no return

Have you tried running in safe mode?

I tried adjusting the config.yaml but for some reason I cannot write the new file back to the Pi. Error = 4 when attempted through WinSCP...so no...

Did running in safe mode solve the problem?

Haven't been able to successfully test in Safe Mode

Systeminfo Bundle

You can download this in OctoPrint's System Information dialog ... no bundle, no support!)
I was unable to pull the bundle since I cannot access the web. Attaching logs and other details below.

Additional information about your setup

OctoPrint version, OctoPi version, printer, firmware, browser, operating system, ... as much data as possible

Pi: 3B+

OctoPrint version : 1.8.6
OctoPi version : 0.18.0

Printer: Ender 3 v2 w/ Jyers 2.0.1 firmware

I'd say this start around 10 AM EST today

octoprint.log (737.2 KB)

Hoping to see if I can recover my OctoPi or what the best steps to backup what I can and just re-image.

Can you try connecting to the Pi through Putty and executing the following line in the terminal:

~/oprint/bin/octoprint safemode

Once you executed the line, the reply from pi should state something like "safemode has been set" or similar to it.

Then restart the pi and octopi should start in safemode.

Thank you!!

Fixed my issue - The space ran out so when I went to change the config.yaml and it wouldn't let me put it back!

Was getting error

ERROR:octoprint.settings:Error while saving config.yaml!
Traceback (most recent call last):
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/util/init.py", line 1006, in atomic_write
yield fd
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/settings.py", line 1875, in save
yaml.save_to_file(self._map.top_map, file=configFile)
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/util/yaml.py", line 74, in save_to_file
_save_to_file_base(data, file=file, path=path, pretty=pretty, **kwargs)
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/util/yaml.py", line 56, in _save_to_file_base
**kwargs
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/init.py", line 290, in dump
return dump_all([data], stream, Dumper=Dumper, **kwds)
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/init.py", line 278, in dump_all
dumper.represent(data)
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/representer.py", line 28, in represent
self.serialize(node)
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/serializer.py", line 55, in serialize
self.emit(DocumentEndEvent(explicit=self.use_explicit_end))
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/emitter.py", line 115, in emit
self.state()
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/emitter.py", line 220, in expect_document_end
self.flush_stream()
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/emitter.py", line 790, in flush_stream
self.stream.flush()
File "/home/pi/oprint/lib/python3.7/tempfile.py", line 620, in func_wrapper
return func(*args, **kwargs)
OSError: [Errno 28] No space left on device

During handling of the above exception, another exception occurred:

OSError: [Errno 28] No space left on device

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/settings.py", line 1876, in save
self._dirty = False
File "/usr/lib/python3.7/contextlib.py", line 130, in exit
self.gen.throw(type, value, traceback)
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/util/init.py", line 1008, in atomic_write
fd.close()
File "/home/pi/oprint/lib/python3.7/tempfile.py", line 646, in close
self._closer.close()
File "/home/pi/oprint/lib/python3.7/tempfile.py", line 580, in close
self.file.close()
OSError: [Errno 28] No space left on device
Traceback (most recent call last):
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/util/init.py", line 1006, in atomic_write
yield fd
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/settings.py", line 1875, in save
yaml.save_to_file(self._map.top_map, file=configFile)
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/util/yaml.py", line 74, in save_to_file
_save_to_file_base(data, file=file, path=path, pretty=pretty, **kwargs)
File "/home/pi/oprint/lib/python3.7/site-packages/octoprint/util/yaml.py", line 56, in _save_to_file_base
**kwargs
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/init.py", line 290, in dump
return dump_all([data], stream, Dumper=Dumper, **kwds)
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/init.py", line 278, in dump_all
dumper.represent(data)
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/representer.py", line 28, in represent
self.serialize(node)
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/serializer.py", line 55, in serialize
self.emit(DocumentEndEvent(explicit=self.use_explicit_end))
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/emitter.py", line 115, in emit
self.state()
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/emitter.py", line 220, in expect_document_end
self.flush_stream()
File "/home/pi/oprint/lib/python3.7/site-packages/yaml/emitter.py", line 790, in flush_stream
self.stream.flush()
File "/home/pi/oprint/lib/python3.7/tempfile.py", line 620, in func_wrapper
return func(*args, **kwargs)
OSError: [Errno 28] No space left on device

Comment to help find my huge syslog.l and kern.log files got filled somehow

Ran out of space - found steps on deleting

1 Like